petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetRHSJacobianP

Sets the function that computes the Jacobian of G w.r.t. the parameters p where y_t = G(y,p,t), as well as the location to store the matrix.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetRHSJacobianP(TS ts,Mat Amat,PetscErrorCode (*func)(TS,PetscReal,Vec,Mat,void*),void *ctx)

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

    func (TS ts,PetscReal t,Vec y,Mat A,void *ctx);

| t | - current timestep
| y | - input vector (current ODE solution)
| A | - output matrix
| ctx | - [optional] user-defined function context

### Notes

Amat has the same number of rows and the same row parallel layout as u, Amat has the same number of columns and parallel layout as p

### Keywords

TS, sensitivity

### See Also

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c

### Examples

src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages